package cn.quant.baa.pay.model.web;

import java.io.Serializable;

/**
 * Created by Administrator on 2021/9/27 0027.
 */
public class WeiXinCallbackResource implements Serializable{
    private static final long serialVersionUID = -8312044396842852528L;
    private String algorithm;
    private String ciphertext;
    private String associatedData;
    private String originalType;
    private String nonce;

    public String getAlgorithm() {
        return algorithm;
    }

    public void setAlgorithm(String algorithm) {
        this.algorithm = algorithm;
    }

    public String getCiphertext() {
        return ciphertext;
    }

    public void setCiphertext(String ciphertext) {
        this.ciphertext = ciphertext;
    }

    public String getAssociatedData() {
        return associatedData;
    }

    public void setAssociatedData(String associatedData) {
        this.associatedData = associatedData;
    }

    public String getOriginalType() {
        return originalType;
    }

    public void setOriginalType(String originalType) {
        this.originalType = originalType;
    }

    public String getNonce() {
        return nonce;
    }

    public void setNonce(String nonce) {
        this.nonce = nonce;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WeiXinCallbackResource{");
        sb.append("algorithm='").append(algorithm).append('\'');
        sb.append(", ciphertext='").append(ciphertext).append('\'');
        sb.append(", associatedData='").append(associatedData).append('\'');
        sb.append(", originalType='").append(originalType).append('\'');
        sb.append(", nonce='").append(nonce).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
